CREATE TABLE irc_req_sec_prof_tmt (
    REQ_SEC_PROF_TMT_ID            NUMBER(18, 0) ,
    MODULE_ID                      VARCHAR2(128) ,
    REQ_SECURITY_PROFILE_ID        NUMBER(18, 0)     NOT NULL,
    MEMBER_TYPE_CODE               VARCHAR2(120)     NOT NULL,
    COLLABORATOR_REST_TYPE_CODE    VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    REQ_SEC_PROF_TMT_ID            NUMBER(18, 0) ,
    MODULE_ID                      VARCHAR2(128) ,
    REQ_SECURITY_PROFILE_ID        NUMBER(18, 0)     NOT NULL,
    MEMBER_TYPE_CODE               VARCHAR2(120)     NOT NULL,
    COLLABORATOR_REST_TYPE_CODE    VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_irc_req_sec_prof_tmt PRIMARY KEY (REQ_SEC_PROF_TMT_ID, REQ_SEC_PROF_TMT_ID)
);
